Tools in Technic fall into two categories: manual and electric. Both sets of tools are unstackable in the inventory. Manual tools work similarly to the manual tools in `minetest`, they have limited durability that is reduced during use (they disappear after they hit 0 durability). Manual tools can be regenerated by using the Tool Workshop, so that valuable tools, such as mese or diamond tools can be preserved. Electric tools require charging in Battery Boxes (of any voltage) and will not be destroyed when they reach 0 charge. Higher levels of electric tools are more powerful and contain more charge so they work longer.

## Chainsaw

<img src="../textures/technic_chainsaw.png"/>

This electric tool speeds up harvesting of wood by allowing the harvesting of an entire tree in a single click. Just click on any part of a tree, and the wood and leaves of that tree at that point and above will be cut and dropped on the ground as blocks. It has enough charge to cut down about 5 trees before running out of power.

**Note:** If you can't find the drops from using the chainsaw, dig around as they can be buried under neighbouring terrain blocks.

## Flashlight

<img src="../textures/technic_flashlight.png"/>

This electric tool illumates the area in front of the player. While it is electric, and so requires charging, to use it one only needs to equip it. Punching with this tool does nothing.

## Lava can

<img src="../textures/technic_lava_can.png"/>

The lava can works similarly to the bucket tool and the water can, but instead of carrying water, it can carry lava source blocks (the ones that aren't animated), up to 8 at a time. To use, simply equip and click on lava source blocks (they will highlight in black). Then clicking anywhere where there isn't a lava source block will place them again.

**Warning:** Be careful where you place these source blocks! Since you're placing lava source blocks, lava will flow out of them and may trap or burn you depending on where you are.

## Mining drill

<img src="../textures/technic_mining_drill.png"/>
<img src="../textures/technic_mining_drill_mk2.png"/>
<img src="../textures/technic_mining_drill_mk3.png"/>

This electric tool operates similarly to a pickaxe, though every block takes exactly one click to drill out. While the Mining Laser allows for faster collection of bulk minerals, it's cutting path can sometimes be undesirable, and the mining drill is useful in these instances.

The higher levels of the mining drill allow for drilling more blocks at once, substantially reducing mining time. At mark-2, the mining drill can drill 3 blocks at once, either 3-deep, 3-wide, or 3-tall. At mark-3, the mining drill can drill 9-blocks at once in a 3x3 layout around the block selected. Switching between these modes can be done by shift-clicking.

**Advice:** Since these tools require substantially more diamonds than the mining laser, and yet drills slower, it is suggested that a mining laser be built first.

## Mining laser

<img src="../textures/technic_mining_laser_mk1.png"/>
<img src="../textures/technic_mining_laser_mk2.png"/>
<img src="../textures/technic_mining_laser_mk3.png"/>

This electric tool is a substantial upgrade above the pickaxe that you start mining with. The laser works by drilling directly forward 7 blocks making a path that's roughly 1-block in diameter. The laser is electric, requiring charging in a battery box (any voltage). As soon as an LV electrical system is set up, this is a great next step.

## Multimeter

<img src="../textures/technic_multimeter.png"/>

This electric tool is used for quick lookup at an electric network. It works by clicking on an electric node (cable, machine, generator, switchting station), and gives values about : the position of the attached switching station, its current status, the lag, the batteries, the supply and the demand, and the total of each type of node.

| Property         | Example Value | Unit       | Meaning                                                       |
|------------------|---------------|------------|---------------------------------------------------------------|
| Ref. point       | 61, 19, 62    | Coordinate | The location of the cable below the switching station that initially triggered initialization of this network |
| Activated        | yes           | active     | The current state of the network                              |
| Timeout          | 1800.0        | s          | Time remaining, in seconds, before the network will shut down |
| Lag              | 0.60          | ms         | The lag generated by the network                              |
| Skip             | 0             | cycles     | How many cycles are skipped when network lag value is high    |
| Supply           | 6000          | EU         | How much power is supplied by generators                      |
| Demand           | 4000          | EU         | How much power is required by consumers                       |
| Battery charge   | 2911956       | EU         | The total of energy stored in batteries                       |
| Battery charge   | 97.07         | %          | The energy stored per the maximum that can be stored          |
| Battery capacity | 3000000       | EU         | The maximum amount of energy that can be stored in batteries  |
| Nodes            | 47            | count      | The number of nodes of the network, excluding switch stations |
| Cables           | 32            | count      | The number of cables                                          |
| Generators       | 8             | count      | The number of generators (supplying the network)              |
| Consumers        | 4             | count      | The number of consumers (demanding power)                     |
| Batteries        | 3             | count      | The number of batteries (storing energy)                      |

## Sonic screwdriver

<img src="../textures/technic_sonic_screwdriver.png"/>

This electric tool is used for rotating nodes, much like the default Screwdriver tool, but loses charge instead of durability. This is useful for any nodes which have a "front" direction, like stairs, machines, furniture, etc. Nodes are rotated around the Y-axes (vertical).

## Tree tap

<img src="../textures/technic_tree_tap.png"/>

This manual tool allows for harvesting latex from rubber trees. Extracting latex can be done by hitting rubber trees with it yields for 1 latex. The rubber tree will regenerate its latex supply over the course of a day.

## Water can

<img src="../textures/technic_water_can.png"/>

The water can works similarly to the bucket tool from minetest_game, but it can hold 16 `water_source` (the water blocks that don't look like they're flowing) blocks instead of 1. To use, simply equip the water can and click on water source blocks (they will highlight in black). Then clicking anywhere where there isn't a `water_source` block with the water can equipped will place them.

**Warning:** Be careful where you place these source blocks! Since you're placing water source blocks, water will flow out of them and may trap or drown you depending on where you are.
